Computer

AMD has a fix for Spectre variant II, but will motherboard makers support it?

Spectre Meltdown

AMD has announced it has begun providing updates for the variant 2 Spectre vulnerability which has affected many generations of its hardware. However, this isn’t an update that will go out with a Windows patch — it instead require distribution by motherboard manufacturers, so although AMD’s update can shore up processors dating back to the 2011 Bulldozer release, the question remains, which motherboard makers will support it?

The Spectre and Meltdown bugs are two of the worst holes in hardware security ever seen in the PC industry. Affecting just about every CPU released in the last 20 years in one way or another, both Intel and AMD have released several updates to fix it. While a hardware upgrade is the only true solution to the problem, software fixes should be sufficient and Microsoft has played its part in distributing them as part of Windows updates. However, motherboard maker cooperation is also required and not all of them have released updated BIOS and driver releases with these hotfixes in mind, as per PCWorld.

In the case of AMD processors, the Spectre 1 variant has been rendered ineffective through Windows updates, so anyone with an updated operating system should be safe from that one. Likewise, AMD hardware is not affected by Meltdown. The Spectre 2 variant however, could affect AMD chips and that’s where the motherboard makers come in.

“While we believe it is difficult to exploit Variant 2 on AMD processors, we actively worked with our customers and partners to deploy [a] combination of operating system patches and microcode updates for AMD processors to further mitigate the risk,” AMD said in a statement. It went on to say that it had released microcode updates for Variant 2 mitigations to its ecosystem partners. It suggests potentially affected users check in with their motherboard manufacturer to download the update if and when possible.

AMD didn’t provide any kind of update on what to do if you’re running older hardware than its Bulldozer line. The firm has made it clear that it sees the risk of the second Spectre variant being exploited as very low, so it may not go down the route of patching it for hardware that’s nearly a decade or more old. Intel has previously stated that some of its chip lines prior to 2011 will not be protected with updates either.

Editors’ Recommendations

Let’s block ads! (Why?)

Computing – Digital Trends

Leave a Reply

Your email address will not be published. Required fields are marked *